<?php
/**
 * @file
 * erpal_output.rules_defaults.inc
 */

/**
 * Implements hook_default_rules_configuration().
 */
function erpal_output_default_rules_configuration() {
  $items = array();

  $items['rules_find_budget_for_output'] = entity_import('rules_config', '{ "rules_find_budget_for_output" : {
      "LABEL" : "Find budget for output",
      "PLUGIN" : "reaction rule",
      "OWNER" : "rules",
      "TAGS" : [ "Erpal Output" ],
      "REQUIRES" : [ "erpal_output" ],
      "ON" : { "erpal_output_presave" : [] },
      "DO" : [
        { "erpal_output_find_budget" : { "erpal_output" : [ "erpal_output" ] } }
      ]
    }
  }');
  $items['rules_charge_output_from_budget'] = entity_import('rules_config', '{ "rules_charge_output_from_budget" : {
      "LABEL" : "Charge output from budget",
      "PLUGIN" : "reaction rule",
      "OWNER" : "rules",
      "TAGS" : [ "Erpal Output" ],
      "REQUIRES" : [ "erpal_output" ],
      "ON" : { "erpal_output_insert" : [] },
      "DO" : [
        { "erpal_output_insert_output" : { "erpal_output" : [ "erpal_output" ] } }
      ]
    }
  }');
  $items['rules_recalculation_budget_on_output_update'] = entity_import('rules_config', '{ "rules_recalculation_budget_on_output_update" : {
      "LABEL" : "Recalculation budget on output update",
      "PLUGIN" : "reaction rule",
      "OWNER" : "rules",
      "TAGS" : [ "Erpal Output" ],
      "REQUIRES" : [ "erpal_output" ],
      "ON" : { "erpal_output_presave" : [] },
      "DO" : [
        { "erpal_output_update_output" : {
            "erpal_output" : [ "erpal_output" ],
            "erpal_output_unchanged" : [ "erpal_output_unchanged" ]
          }
        }
      ]
    }
  }');
  $items['rules_recalculation_budget_on_output_deleting'] = entity_import('rules_config', '{ "rules_recalculation_budget_on_output_deleting" : {
      "LABEL" : "Recalculation budget on output deleting",
      "PLUGIN" : "reaction rule",
      "OWNER" : "rules",
      "TAGS" : [ "Erpal Output" ],
      "REQUIRES" : [ "erpal_output" ],
      "ON" : { "erpal_output_delete" : [] },
      "DO" : [
        { "erpal_output_delete_output" : { "erpal_output" : [ "erpal_output" ] } }
      ]
    }
  }');
  return $items;
}
